Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452805 (ember) - Review Request: ember - WorldForge client
Summary: Review Request: ember - WorldForge client
Keywords:
Status: CLOSED NEXTRELEASE
Alias: ember
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 08:01 UTC by Alexey Torkhov
Modified: 2008-09-15 12:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-12 07:26:28 UTC
tcallawa: fedora-review+
huzaifas: fedora-cvs+


Attachments (Terms of Use)

Description Alexey Torkhov 2008-06-25 08:01:57 UTC
Spec URL: http://purple.worldforge.org/~alex/fedora/ember.spec
SRPM URL: http://purple.worldforge.org/~alex/fedora/ember-0.5.2-1.fc10.src.rpm
Description: Ember is a client for MMORPGs using the Worldforge system.
It uses the Ogre 3D engine with CEGUI.

This package builds only under rawhide (in mock) because it requires cegui-0.6.0 and libwfut.
All patches (including changed tarball because of non-free pack) are reported upstream and would be fixed in next version.

Comment 1 Alexey Torkhov 2008-07-09 20:47:27 UTC
Spec URL: http://purple.worldforge.org/~alex/fedora/ember.spec
SRPM URL: http://purple.worldforge.org/~alex/fedora/ember-0.5.3-1.fc10.src.rpm

Update to 0.5.3. All patches are now merged. License upgraded to GPLv3+.

Comment 3 Tom "spot" Callaway 2008-09-11 17:10:11 UTC
REVIEW
==========

Good:

- rpmlint checks return:
ember.x86_64: W: conffile-without-noreplace-flag /etc/ember/ogre.cfg
ember.x86_64: W: conffile-without-noreplace-flag /etc/ember/resources.cfg
ember.x86_64: W: conffile-without-noreplace-flag /etc/ember/terrain.cfg

Documented why you didn't do this, safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv3+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (f5d94ac46131bcf0bb7788e311331aac523287b8)
- package compiles on devel (x86_64, koji scratch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- desktop file ok

Nice job with this package, APPROVED.

Comment 4 Alexey Torkhov 2008-09-11 20:26:46 UTC
Many thanks for review!

New Package CVS Request
=======================
Package Name: ember
Short Description: 3D client for WorldForge
Owners: atorkhov wart
Branches: F-9
InitialCC:

Comment 5 Huzaifa S. Sidhpurwala 2008-09-12 03:22:57 UTC
cvs done


Note You need to log in before you can comment on or make changes to this bug.